Overview

Overview of Oxwall and the system requirements for it

Oxwall is used for in a variety of projects starting including  family websites, custom social networks and enterprise community solutions. Whether you are a freelance developer, someone who just wants to create a website or a brand planning to set up a community portal for your customers - Oxwall should be your application of choice.

 

System requirements:


Apache 2 or higher with:

 

  • mod_rewrite on
  • mod_security (strict configurations) off

 

PHP 5.3 or higher with:

 

  • cURL on
  • fopen on
  • register_globals off
  • safe_mode off
  • suPHP off
  • suApache off
  • suhosin off

 

PHP modules:

 

  • PDO
  • DOM
  • mbstring
  • zip
  • zlib
  • ftp
  • json
  • php_openssl

 

MySQL 5.0 or higher
GD Library 2 with FreeType support
Mail server (SendMail, Exim or other)
Cron

 

Requirements

Our Oxwall Hosting is fully compatible with the system requirements of Oxwall, and we provide all the additional recommendations as well. Furthermore, our servers are running entirely on SSD for outstanding Oxwall experience.

 

Useful Resources for Oxwall users: